curl --request POST \
--url https://{instance}.domo.com/instances/{instanceId}/cancel \
--header 'X-DOMO-Developer-Token: <api-key>'import requests
url = "https://{instance}.domo.com/instances/{instanceId}/cancel"
headers = {"X-DOMO-Developer-Token": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-DOMO-Developer-Token': '<api-key>'}};
fetch('https://{instance}.domo.com/instances/{instanceId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "2052e10a-d142-4391-a731-2be1ab1c0188",
"modelId": "a8afdc89-9491-4ee4-b7c3-b9e9b86c0138",
"modelName": "AddTwoNumbers",
"modelVersion": "1.1.0",
"createdBy": "8811501",
"createdOn": "2023-11-15T15:28:57.479Z",
"updatedBy": "8811501",
"updatedOn": "2023-11-15T15:28:57.479Z",
"status": null,
"deploymentId": "<string>",
"bpmnProcessId": "<string>",
"bpmnProcessName": "<string>",
"isTestRun": true
}Cancel a Workflow
Cancels an in-progress Workflow instance
Authorizations
Domo Developer Token for authentication
Path Parameters
The ID of the Workflow instance to cancel
Response
Workflow canceled successfully
ID of the newly created workflow instance
"2052e10a-d142-4391-a731-2be1ab1c0188"
ID of the workflow
"a8afdc89-9491-4ee4-b7c3-b9e9b86c0138"
Name of the workflow
"AddTwoNumbers"
Workflow version number
"1.1.0"
User ID of workflow creator
"8811501"
Timestamp when the instance was created
"2023-11-15T15:28:57.479Z"
User ID of last updater
"8811501"
Timestamp when the instance was last updated
"2023-11-15T15:28:57.479Z"
Status of the workflow instance. Can be null, IN_PROGRESS, CANCELED, or COMPLETED. A null status means the workflow hasn't reported back as started yet.
null, IN_PROGRESS, CANCELED, COMPLETED null
ID of the deployment
BPMN process ID
BPMN process name
Indicates if this is a test run